//controlls colors for easy switching between pallets/schemes, include blending mode
//0 is color of background, 1 - 6 for strings respectivly, 7 is for accents (like guide marks)

class ColorManager{
  String[] discriptions = {  "warm set",
                             "cool set",
                             "mid set",
                             "ink on paper",
                             "timbre progressive",
                             "timbre spectrum",
                             "timbre bathroom",
                             "fire"  };
  
  color[]colorArray1 = { color(#3D261C),
                         color(160,133,60),
                         color(132,37,19),
                         color(132,101,19),
                         color(159,66,56),
                         color(217,94,4),
                         color(131,51,61),
                         color(255,255,255) };
    
  color[]colorArray2 = { color(0,0,0),
                         color(137,209,204),
                         color(74,185,176),
                         color(102,26,83),
                         color(176,31,138),
                         color(117,98,50),
                         color(176,139,96),
                         color(255,255,255) };
                         
  color[]colorArray3 = { color(0,0,0),
                         color(192,255,48),
                         color(115,223,107),
                         color(94,153,190),
                         color(167,96,219),
                         color(87,18,204),
                         color(131,111,166),
                         color(255,255,255) };
                                                 
  color[]colorArray4 = { color(255,255,255),
                         color(63,65,67),
                         color(108,108,129),
                         color(83,85,154),
                         color(78,61,53),
                         color(74,63,62),
                         color(154,94,83),
                         color(0,0,0) };
                           
  color[]colorArray5 = { color(0,0,0),
                         color(93,48,172),
                         color(83,116,144),
                         color(106,232,144),
                         color(212,119,144),
                         color(237,212,106),
                         color(236,245,134),
                         color(255,255,255) };
                           
  color[]colorArray6 = { color(0,0,0),
                         color(#F5DF36),
                         color(#D5F024),
                         color(#2BDB25),
                         color(#41BFAC),
                         color(#3782CC),
                         color(#4D18A0),
                         color(255) };
                         
  color[]colorArray7 = { color(0,0,0),
                         color(#FFCC41),
                         color(#E182AD),
                         color(#D23C00),
                         color(#A0BC3A),
                         color(#539AAC),
                         color(#70359F),
                         color(255) };
                         
  color[]colorArray8 = { color(0,0,0),
                         color(#FFFF81),
                         color(#FFEB00),
                         color(#FF9F00),
                         color(#FF6800),
                         color(#F20000),
                         color(#A90042),
                         color(255) };
                         
  int totalColors = 8;
              
                         
  color[] currentScheme = new color[8];
  int currentBlend = ADD;  //blending modes are classified as ints
  
  //constructor
  void ColorManager(){
    setScheme(1);
  }
  //get(s):
  color getColor(int num) {
   return(currentScheme[num]); 
  }
  
  
  int getBlend() {
    return(currentBlend);
  }
  
  int getTotalColors() {
   return totalColors; 
  }
  
  String getDiscription(int v) {
    return discriptions[v-1]; 
  }
  //set(s):
  int setScheme(int num) {
   if (num == 1 || num == 0) {
     arraycopy(colorArray1,currentScheme);
     currentBlend = ADD;
   }else if (num == 2) {
     arraycopy(colorArray2,currentScheme);
     currentBlend = ADD;
   }else if (num == 3) {
     arraycopy(colorArray3,currentScheme);
     currentBlend = ADD;
   }else if (num == 4) {
     arraycopy(colorArray4,currentScheme);
     currentBlend = MULTIPLY;
   }else if (num == 5) {
     arraycopy(colorArray5,currentScheme);
     currentBlend = SCREEN;
   }else if (num == 6) {
     arraycopy(colorArray6,currentScheme);
     currentBlend = SCREEN;
   }else if (num == 7) {
     arraycopy(colorArray7,currentScheme);
     currentBlend = SCREEN;
   }else if (num == 8) {
     arraycopy(colorArray8,currentScheme);
     currentBlend = ADD;
   }
   return num;
  }
  
  
}
